package request

import (
	"topsdk/ability571/domain"
	"topsdk/util"
)

type AlibabaWdkMarketingItembuygiftQueryitemsRequest struct {
	/*
	   查询入参     */
	Param *domain.AlibabaWdkMarketingItembuygiftQueryitemsActivitySkuQuery `json:"param" required:"true" `
}

func (s *AlibabaWdkMarketingItembuygiftQueryitemsRequest) SetParam(v domain.AlibabaWdkMarketingItembuygiftQueryitemsActivitySkuQuery) *AlibabaWdkMarketingItembuygiftQueryitemsRequest {
	s.Param = &v
	return s
}

func (req *AlibabaWdkMarketingItembuygiftQueryitemsRequest) ToMap() map[string]interface{} {
	paramMap := make(map[string]interface{})
	if req.Param != nil {
		paramMap["param"] = util.ConvertStruct(*req.Param)
	}
	return paramMap
}

func (req *AlibabaWdkMarketingItembuygiftQueryitemsRequest) ToFileMap() map[string]interface{} {
	fileMap := make(map[string]interface{})
	return fileMap
}
